%global srcname apache-mod-markdown
%global commit 933aa25793af5ade13dad11b614d7148e6ce9caa
%global shortcommit %(c=%{commit}; echo ${c:0:7})
Name:		mod_markdown
Version:	1.0.4
Release:	1.20200616%{?dist}
License:	ASL 2.0
Summary:	Markdown content filters for the Apache HTTP Server
URL:		https://github.com/hamano/%{srcname}
Source0:	https://github.com/hamano/%{srcname}/archive/%{commit}/%{srcname}-%{shortcommit}.tar.gz
Source1:	71_mod_markdown.conf
# https://github.com/hamano/apache-mod-markdown/issues/36
Patch0:		%{name}.diff
BuildRequires:	gcc-c++
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	httpd-devel
# libmarkdown-devel
BuildRequires:	pkgconfig(libmarkdown)

%description
mod_markdown is Markdown filter module for Apache HTTPD Server.


%prep
%autosetup -n %{srcname}-%{commit}


%build
autoupdate
autoreconf -vfi
%configure \
    --with-apxs=%{_bindir}/apxs \
    --with-discount=%{_prefix}
sed -i "s|/usr/lib$|%{_libdir}|g" Makefile
%make_build


%install
%__mkdir_p %{buildroot}%{_httpd_moddir}
%__mkdir_p %{buildroot}%{_httpd_modconfdir}
%{_libdir}/httpd/build/instdso.sh SH_LIBTOOL='%{_libdir}/apr-1/build/libtool' mod_markdown.la %{buildroot}%{_httpd_moddir}
%__install -Dm 0644 %{SOURCE1} %{buildroot}%{_httpd_modconfdir}


%files
%license COPYING
%doc README.md
%{_httpd_moddir}/mod_markdown.so
%config(noreplace) %{_httpd_modconfdir}/71_mod_markdown.conf


%changelog
* Wed Mar 24 2021 TI_Eugene <ti.eugene@gmail.com> - 1.0.4-1.20200616
- Initial packaging.
